Re: libgstreamer, slackware => libgconf.......?

Hi Mario,

I tried to persevere a bit, i.e. tried to compile gconf … Slackware
does support a couple of libraries linked to the gtk/gnome-world but not
officially: I found install scripts for GCconf and Orbit2 on
Slackbuilds.org but after having these bits in my system I ran (with
irb: require ‘rubygems’ => ok; require ‘wx’ => error) into lacking
dependency libgstinterfaces-0.10… which I hope is part of the
gst-plugins-base but I could not get that one compiled without
liboil… all done now…

o.k. last test before I walk my dog:

cd /usr/lib/ruby/gems/1.8/gems/wxruby-1.9.4-x86-linux/samples/bigdemo
ruby bigdemo.rb

It runs ! And of course I found something odd… using sizers and
clicking on the close button of the gtk-window (thus not via a button
within the wxwidgets frame) the program crashes with:

(wxruby:12285): Gtk-CRITICAL **: gtk_window_realize_icon: assertion
`info->icon_pixmap == NULL’ failed
bigdemo.rb:438: [BUG] Segmentation fault
ruby 1.8.6 (2007-09-24) [i486-linux]

Anyway, so far so good. Now I have to see whether with a minimal
gstreamer install I can get this stuff done as well…

so required dependencies (for slackware pre12.1):

ORBit2
GCconf
gstreamer (libgstreamer)
liboil
gst-plugins-base

rob

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs